質問編集履歴

1

php のバージョンを修正しました

2019/10/01 06:46

投稿

takopo
takopo

score0

test CHANGED
@@ -1 +1 @@
1
- form_tagをfrom_for変えた
1
+ Laravel のインストール中エラーで止まってしまます
test CHANGED
@@ -1,139 +1,93 @@
1
+ 質問させてください。
2
+
1
- #初学者の為、必要な情報が不足している場合ご指摘いただけると幸いです。
3
+ 今ローカル開発環境に Laravel を myapp というフォルダにインストールようとしているですが、途中でなぜかエラーになって止まってしまいます
4
+
5
+ エラーメッセージには`must be absolute paths.`とあったので、どこか絶対パスでなければいけないような感じなのですが、検索してみても解決方法が見つからず何のことかさっぱりわかりません・・・
6
+
7
+ 5回ぐらい試してみても、毎回`Installing symfony/var-dumper (v4.3.4): Loading from cache`という文の後に止まってしまいます。
2
8
 
3
9
 
4
10
 
5
- ### 提・実現こと
11
+ は問題なくインストールできていたので、今回このようなエラーが出て困っております。
6
12
 
7
- form_tagfrom_forに変更したい
13
+ どなたか解決方法ご存知の方がいらっゃいましら、ご教授ただけると助かります。
8
14
 
9
15
 
10
16
 
11
- ### 発生している問題・エラーメッセージ
12
-
13
-
14
-
15
- ####ArgumentError in Blogs#new
17
+ インストールを開始してから止まるまでのコードを下記に掲載させていただきました。
16
-
17
-
18
-
19
- ### 該当のソースコード
20
-
21
-
22
-
23
- view変更前
24
18
 
25
19
  ```
26
20
 
27
- <div class="contents row">
21
+ [vagrant@localhost test]$ php composer.phar create-project --prefer-dist laravel/laravel myapp
28
22
 
29
- <%= form_tag('/tweets', method: :post) do %>
23
+ Installing laravel/laravel (v5.8.35)
30
24
 
31
- <h6>
25
+ As there is no 'unzip' command installed zip files are being unpacked using the PHP zip extension.
32
26
 
33
- 投稿する
27
+ This may cause invalid reports of corrupted archives. Besides, any UNIX permissions (e.g. executable) defined in the archives will be lost.
34
28
 
35
- </h6>
29
+ Installing 'unzip' may remediate them.
36
30
 
37
- <textarea cols="30" name="text" placeholder="text" rows="10"></textarea>
31
+ - Installing laravel/laravel (v5.8.35): Loading from cache
38
32
 
39
- <input type="submit" value="SENT" href="/tweets">
33
+ Created project in myapp
40
34
 
41
- <% end %>
35
+ > @php -r "file_exists('.env') || copy('.env.example', '.env');"
42
36
 
43
- </div>
37
+ Loading composer repositories with package information
44
38
 
45
- ```
39
+ Updating dependencies (including require-dev)
46
40
 
41
+ Package operations: 80 installs, 0 updates, 0 removals
47
42
 
43
+ - Installing symfony/polyfill-ctype (v1.12.0): Loading from cache
48
44
 
49
- view変更後
45
+ - Installing phpoption/phpoption (1.5.0): Loading from cache
50
46
 
51
- ```
47
+ - Installing vlucas/phpdotenv (v3.6.0): Loading from cache
52
48
 
53
- <div class="contents row">
49
+ - Installing symfony/css-selector (v4.3.4): Loading from cache
54
50
 
55
- <%= form_for [@tweet] do |f|%>
51
+ - Installing tijsverkoyen/css-to-inline-styles (2.2.1): Loading from cache
56
52
 
57
- <h6>投稿する</h6>
53
+ - Installing symfony/polyfill-php72 (v1.12.0): Loading from cache
58
54
 
59
- <%= f.text_area :text,%>
55
+ - Installing symfony/polyfill-mbstring (v1.12.0): Loading from cache
60
56
 
61
- <%= f.submit "SENT" %>
57
+ - Installing symfony/var-dumper (v4.3.4): Loading from cache
62
-
63
- <% end %>
64
-
65
- ```
66
58
 
67
59
 
68
60
 
69
61
 
70
62
 
63
+ [InvalidArgumentException]
71
64
 
72
-
73
- コントロール変更前
74
-
75
- ```
76
-
77
- def new
78
-
79
- end
80
-
81
- ```
82
-
83
- コントロール変更後
84
-
85
- ```
86
-
87
- def new
88
-
89
- @tweets = Tweet.new
90
-
91
- end
92
-
93
- ```
94
-
95
- ### 試したこと
96
-
97
-
98
-
99
- from_forにする為に、viewsの変更、コントロールの変更
100
-
101
-
102
-
103
- ### 補足情報(FW/ツールのバージョンなど)
104
-
105
-
106
-
107
- ネストはしておりません。
108
-
109
- ```
110
-
111
- Rails.application.routes.draw do
112
-
113
- devise_for :users
114
-
115
- root to: 'blogs#index'
116
-
117
- get 'tweets' => 'blogs#index'
118
-
119
- get 'tweets/new' => 'blogs#new'
120
-
121
- post 'tweets' => 'blogs#create'
122
-
123
- delete 'tweets/:id' => 'blogs#destroy'
124
-
125
- get 'tweets/:id/edit' => 'blogs#edit'
65
+ $from (/vagrant/html/test/myapp/vendor/bin/var-dump-server) and $to () must be absolute paths.
126
-
127
- patch 'tweets/:id' => 'blogs#update'
128
-
129
- end
130
-
131
- ```
132
66
 
133
67
 
134
68
 
135
69
 
136
70
 
71
+ create-project [-s|--stability STABILITY] [--prefer-source] [--prefer-dist] [--repository REPOSITORY] [--repository-url REPOSITORY-URL] [--dev] [--no-dev] [--no-custom-installers] [--no-scripts] [--no-progress] [--no-secure-http] [--keep-vcs] [--remove-vcs] [--no-install] [--ignore-platform-reqs] [--] [<package>] [<directory>] [<version>]
137
72
 
138
73
 
74
+
75
+ [vagrant@localhost test]$
76
+
77
+ ```
78
+
79
+ ![イメージ説明](90560007b8c7a3a75d12d33314b6bea6.png)
80
+
81
+
82
+
83
+ 開発環境は以下になります。
84
+
85
+ ・CentOS 7.6
86
+
87
+ ・vagrant 2.2.5
88
+
89
+ ・PHP 7.1
90
+
91
+
92
+
139
- ####お手数をお掛けますがご教授お願いいたします。
93
+ よろお願いいたします。